1

What would a suitable OS (Linux distribution) be for an old Raspberry Pi B+ (2012, 512 MB RAM)?

The latest official OS comes with Chromium which doesn't work. It is also very slow.

It will be running an Adafruit touchscreen, display a website and run a Python web server.

1
  • 1
    RaspiOS Bullseye 32-bit Lite is the best with NO DESKTOP. The board isn't fast enough for Chromium, so install Dillo on RaspiOS Bullseye 32-bit full if you insist on running a web browser.
    – Dougie
    May 17, 2023 at 9:13

4 Answers 4

0

I have most Pi models from model B.
In my experience Raspberry Pi OS / Raspbian works better on most (particularly old models).

I still run Stretch on my B+ (which is running a logger) and agree Chromium, while it works is painfully slow.

I wouldn't even consider Raspberry Pi OS Bullseye (The latest official OS) on any of the older Pi. Buster (which is still available as Legacy) is a better choice as Bullseye is targeted at later models.


The BCM2835 SoC used in early Pi is based on ARM6.
The early Pi software was adapted to ARM6 and applications were designed for the limitations of the CPU & memory. This particularly applied to browsers.

Recent OS are increasingly designed to utilise the capabilities of newer hardware.

If you want to use 13 year old hardware you can't expect 2023 software to run but if you stick to the original software performance should be adequate (although increasingly web sites use new features not supported by older software).

Midori & Epiphany are still in the repository.

4
  • I think the tool downloaded the latest one for me (Bullseye?). Chromium doesn't work at all, it says it's not supported by my Raspberry Pi. So Stretch or Buster then? What are the key differences? Thanks!
    – Qliver
    May 17, 2023 at 7:28
  • Buster is called Raspberry Pi OS Legacy. Stretch is obsolete and not offered for download.
    – Milliways
    May 17, 2023 at 8:02
  • You might want to read my assessment of Bullseye
    – Milliways
    May 17, 2023 at 8:04
  • I installed Buster today, but I can't find a decent web browser for it. Dillo is VERY rudimentary, Chromium won't start. Is there one that will work and that can display websites that were made past 2000? It doesn't need to be super fast, just has to display web pages properly.
    – Qliver
    May 17, 2023 at 20:43
0

I ended up installing the latest Wheezy installation which comes with Epiphany, and this seems to be an acceptable solution for my use case. It isn't fast, but it is mostly working (apart from the SSL handshake failed that I get on some HTTPS websites).

3
  • You should have stuck with Bullseye then add Midori or Dillo to replace the over bloated Chromium. That gets you the SSL pieces you need.
    – Dougie
    May 22, 2023 at 23:43
  • But I did try bullseye, and it was über slow. At least Wheezy/Jessie are running a bit faster. Dillon was pretty crappy, it didn't seem to load all elements of webpages.
    – Qliver
    May 24, 2023 at 4:59
  • Wheezy & Jessie are both EOL. They won't get any fixes, they won't get any security updates. That mean you can't use a RPi running either OS on the wild public internet. You need to be on Buster/Bullseye/Bookworm to get security updates & regular updates. Try again with the modern OS and see what browser you can find. (I won't suggest Lynx - but it runs OK on everything - you just don't get graphics or JavaScript.)
    – Dougie
    May 24, 2023 at 8:38
0

On my old Pi1B and Pi1B+ [and many newer Pi] I use Bullseye but only the lite version, i.e. not the desktop but command line only and it is fine. They run headless and I access them remotely via Putty. Just sharing what I do

0

It's best to try the 32-bit Raspberry Pi OS Lite options first. Pick the basic images with no desktop.

If you are looking for an extremely lightweight Linux distribution, you could try the very minimalist Alpine Linux but you're likely to need to do more work to get it up and running with what you need.

Chromium is resource-intensive compared to specialist browsers designed for old hardware.

There are many text-terminal browsers available that won't provide you with a modern user experience but will work on very old hardware:

Alternatively, if you have managed to get a X-Windows system working, there are GUI-based browsers that are far less resource intensive than Chromium. An internet search will find more options but Falkon is worth considering.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.